Subject: AW: [JavaTech] Shared memory in Web tier

From: Szitas Krisztian <[email-masked]>
Date: Thu, 4 Oct 2001 15:24:27 +0200

>Ha jól értem, akkor a scope attribútumra gondolsz, ami lehet: page,
request,
>session vagy application az 1.1-es JSP specifikáció szerint.

Pontosan. Mukodokepes a dolog?

---

From: Suhai Gábor <[email-masked]>
Date: Thu, 04 Oct 2001 16:06:40 +0200

> Pontosan. Mukodokepes a dolog?

Csak elméleti tudással rendelkezem a témában. Olvasgattam a JSP
specifikációt, de gyakorlatban nem próbáltam még. A speckó szerint a JSP
motor (container) megnézi, hogy a kérdéses objektum benne van-e a
servletcontext-ben, ha igen, akkor oké, ha nincs, akkor csinál egy példányt
és belerakja. Session scope esetén értelemszeruen nem a servletcontext-ben
keres. Ja és ugye a scope még befolyásolja azt is, hogy mikor veszik el az
objektumra mutató referencia.

Gábor